Project

General

Profile

Bug #18065

The "Foreman API v1 is deprecated" warning should be bigger text

Added by Tomáš Strachota over 1 year ago. Updated 2 months ago.

Status:
Closed
Priority:
Normal
Category:
API
Target version:
Difficulty:
Triaged:
Bugzilla link:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1412229

Description of problem:
The warning about API v1 is deprecated is in a very small font and could be missed.

Version-Release number of selected component (if applicable):
Foreman 1.14

Steps to Reproduce:
1. visit apidoc/v1.html
2. and apidoc/v2.html

Expected results:
Make the font larger. Try increasing the first part "Foreman API v1 is deprecated. Please use v2." much larger and then put the rest on the next line.

Associated revisions

Revision 9d9af9e8 (diff)
Added by Tomáš Strachota over 1 year ago

Fixes #18065 - make API v1 deprecation warning more apparent

History

#1 Updated by Tomáš Strachota over 1 year ago

  • Subject changed from The "Foreman API v1 is deprecated" warning should be bigger text to The "Foreman API v1 is deprecated" warning should be bigger text
  • Category changed from Query interface to API
  • Status changed from New to Assigned
  • Assignee set to Tomáš Strachota
  • Target version set to 1.11.2

#2 Updated by The Foreman Bot over 1 year ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/4190 added

#3 Updated by Marek Hulán over 1 year ago

  • Target version changed from 1.11.2 to 1.11.4

#4 Updated by Marek Hulán over 1 year ago

  • Target version changed from 1.11.4 to 1.12.1

#5 Updated by Marek Hulán over 1 year ago

  • Target version changed from 1.12.1 to 1.12.3

#6 Updated by Anonymous over 1 year ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#7 Updated by Ohad Levy over 1 year ago

  • Legacy Backlogs Release (now unused) set to 209

Also available in: Atom PDF